## audacious-plugins 3.2

=== src/bs2b/Makefile ===
PLUGIN = bs2b${PLUGIN_SUFFIX}

SRCS = plugin.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${EFFECT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${BS2B_CFLAGS}-I../..
LIBS += ${GTK_LIBS} ${BS2B_LIBS}

=== debian/changelog ===
audacious-plugins (3.2-1) unstable; urgency=low
 
  * New upstream release. (Closes: #657095)
  * debian/control:
    + Added build-deps necessary for mp3, bs2b and modplug support.
    + Enabling OSS4 support. (Closes: #632303)
    + Raised the build-dep of audacious-dev to 3.2.
  * debian/rules:
    + Removed "--enable-chardet" and "--disable-altivec" config flags as they
      are not used anymore.
  * Add correct_spelling_error.diff to suppress the lintian warning (patch
      submitted upstream)
 
 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Fri, 27 Jan 2012 09:02:40 +0100

=== debian/control ===
Source: audacious-plugins
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Chris Taylor <ctaylor@debian.org>,
           Bilal Akhtar <bilalakhtar@ubuntu.com>,
           Cyril Lavier <cyril.lavier@davromaniak.eu>
Build-Depends: audacious-dev (>= 3.2),
               debhelper (>= 7.0.50~),
               libasound2-dev (>= 1.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386] | libasound-dev (>= 1.0) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libavcodec-dev (>= 4:0.6.1),
               libavformat-dev (>= 4:0.6.1),
               libavutil-dev (>= 4:0.6.1),
               libbinio-dev (>= 1.4),
               libbs2b-dev,
               libcairo2-dev (>= 1.2.4),
               libcddb2-dev (>= 1.2.1) | libcddb-dev (>= 1.2.1),
               libcdio-cdda-dev (>= 0.70),
               libcue-dev,
               libcurl4-gnutls-dev,
               libesd0-dev (>= 0.2),
               libfaad-dev,
               libflac-dev (>= 1.1.3),
               libfluidsynth-dev (>= 1.0.6) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libglade2-dev (>= 2.3.1),
               libgtk2.0-dev (>= 2.8),
               libgtkglext1,
               libimlib2-dev (>= 1.1.0),
               libjack-dev,
               liblircclient-dev,
               libmad0-dev,
               libmcs-dev,
               libmms-dev (>= 0.3),
               libmodplug-dev,
               libmp3lame-dev,
               libmpg123-dev,
               libmtp-dev (>= 0.1.3),
               libneon27-gnutls-dev (>= 0.26),
               libnotify-dev,
               libogg-dev (>= 1.0),
               libprojectm-dev (>> 1.0),
               libpulse-dev (>= 0.9) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libresid-builder-dev,
               libsamplerate0-dev (>=0.0.15) | libsamplerate-dev (>=0.0.15),
               libsdl1.2-dev (>= 1.2.9) | libsdl-dev (>= 1.2.9),
               libshout3-dev,
               libsidplay2-dev | libsidplay1-dev,
               libsndfile1-dev (>= 0.19) | libsndfile-dev (>= 0.19),
               libtagc0-dev (>= 1.4),
               libvorbis-dev (>= 1.1),
               libwavpack-dev (>= 4.31),
               libxcomposite-dev,
               oss4-dev
Homepage: http://www.audacious-media-player.org/
Standards-Version: 3.9.2
VCS-Browser: http://git.debian.org/?p=pkg-multimedia/audacious-plugins.git;a=summary
VCS-Git: git://git.debian.org/pkg-multimedia/audacious-plugins.git

Package: audacious-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: audacious (>= 2.4.3)
Breaks: audacious (<< 2.4.3), audacious-plugins-extra (<< 1.3.5-4)
Replaces: audacious (<< 2.4.3), audacious-plugins-extra
Description: Base plugins for audacious
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the plugins for Audacious.
  * Audio CD reading
  * MPEG support (mp3)
  * Ogg Vorbis support
  * Windows Media support (WMA)
  * AAC support
  * FLAC support
  * ALAC support
  * WAVE support
  * ALSA output
  * OSS output
  * Disk writer output
  * And many more!

Package: audacious-plugins-dbg
Section: debug
Priority: extra
Architecture: any
Depends: audacious-plugins (= ${binary:Version}), ${misc:Depends}
Recommends: audacious-dbg
Description: Audacious-Plugins debug symbols
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the debugging symbols for the plugins collection of
 Audacious. Please install it before reporting any crashes, as it makes bug
 triage an easier process.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),i386)
additional_confflags := --disable-sse2
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-psf \
		--disable-rpath \
		$(additional_confflags)

override_dh_strip:
	dh_strip --dbg-package=audacious-plugins-dbg

## audacious-plugins 3.2.1

=== po/Makefile ===
# Short KISS instructions:
#
# - To add new languages: Add *.po target to LOCALES Make variable below
# - Update and merge .po-files: make update-po
# - Only update the template .pot-file only: make update-pot
# - Run update-potfiles.sh when any new sourcefiles with translatable strings
#   have been introduced, and then continue with 'make update-po' or
#   'make update-pot' respectively.
#
LOCALES = ca.po \
	  cs.po \
	  cy.po \
	  de.po \
	  es.po \
	  es_AR.po \
	  es_MX.po \
	  et.po \
	  eu.po \
	  fr.po \
	  hu.po \
	  it.po \
	  ja.po \
	  lv.po \
	  lt.po \
	  pl.po \
	  ro.po \
	  ru.po \
	  sk.po \
	  sr.po \
	  tr.po \
	  uk.po \
	  vi.po \
	  zh_CN.po \
	  zh_TW.po

include ../extra.mk
include ../buildsys.mk

POTTEMPLATE=$(PACKAGE).pot

update-pot:
	@echo Updating $(POTTEMPLATE) ...
	xgettext --default-domain=$(PACKAGE) --language=C \
	--keyword=_ --keyword=N_ --from-code="utf-8" \
	--msgid-bugs-address="http://redmine.audacious-media-player.org/" \
	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)

update-po: update-pot
	@echo Updating .po -files ...
	@for lang in $(LOCALES); do echo -n "$$lang : "; msgmerge --backup=simple --update "$$lang" $(POTTEMPLATE); done

=== src/OSS/Makefile ===
PLUGIN = OSS${PLUGIN_SUFFIX}

SRCS = OSS.c		\
       mixer.c		\
       configure.c	\
       audio.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${OSS_CFLAGS}  ${GTK_CFLAGS} ${GLIB_CFLAGS}  -I../.. -I.
LIBS += ${OSS_LIBS} ${GTK_LIBS} ${GLIB_LIBS}

=== src/aac/Makefile ===
PLUGIN = aac${PLUGIN_SUFFIX}

SRCS = itunes-cover.c \
       libmp4.c \
       mp4_utils.c		\
       aac_utils.c		\
       tagging_mp4.c		\
       mp4ff/mp4ff.c		\
       mp4ff/mp4atom.c		\
       mp4ff/mp4meta.c		\
       mp4ff/mp4sample.c	\
       mp4ff/mp4util.c		\
       mp4ff/mp4tagupdate.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${FAAD_CFLAGS} -I../.. -I. -Imp4ff -DUSE_TAGGING=1
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${FAAD_LIBS} -lm

=== src/adplug/Makefile ===
PLUGIN = adplug${PLUGIN_SUFFIX}

SRCS = adplug-xmms.cc		\
       core/fmopl.c		\
       core/debug.c		\
       core/adlibemu.c		\
       core/adplug.cxx		\
       core/emuopl.cxx		\
       core/fprovide.cxx	\
       core/player.cxx		\
       core/database.cxx	\
       core/hsc.cxx		\
       core/sng.cxx		\
       core/imf.cxx		\
       core/players.cxx		\
       core/protrack.cxx	\
       core/a2m.cxx		\
       core/adtrack.cxx		\
       core/amd.cxx		\
       core/bam.cxx		\
       core/cmf.cxx		\
       core/d00.cxx		\
       core/dfm.cxx		\
       core/dmo.cxx		\
       core/hsp.cxx		\
       core/ksm.cxx		\
       core/mad.cxx		\
       core/mid.cxx		\
       core/mkj.cxx		\
       core/cff.cxx		\
       core/dtm.cxx		\
       core/fmc.cxx		\
       core/mtk.cxx		\
       core/rad.cxx		\
       core/raw.cxx		\
       core/sa2.cxx		\
       core/s3m.cxx		\
       core/xad.cxx		\
       core/flash.cxx		\
       core/bmf.cxx		\
       core/hybrid.cxx		\
       core/hyp.cxx		\
       core/psi.cxx		\
       core/rat.cxx		\
       core/u6m.cxx		\
       core/rol.cxx		\
       core/xsm.cxx		\
       core/dro.cxx		\
       core/dro2.cxx		\
       core/lds.cxx		\
       core/temuopl.cxx		\
       core/msc.cxx		\
       core/rix.cxx		\
       core/adl.cxx		\
       core/jbm.cxx		\
       plugin.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS}  ${BINIO_CFLAGS} -I../.. -I./core -Dstricmp=strcasecmp
LIBS += ${BINIO_LIBS} ${GTK_LIBS} ${GLIB_LIBS}

=== src/alarm/Makefile ===
PLUGIN = alarm${PLUGIN_SUFFIX}

SRCS = alarm.c		\
       interface.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PTHREAD_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${PTHREAD_LIBS}

=== src/alsa/Makefile ===
PLUGIN = alsa${PLUGIN_SUFFIX}

SRCS = alsa.c \
       config.c \
       plugin.c \

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PTHREAD_CFLAGS} ${GTK_CFLAGS} ${ALSA_CFLAGS} -I../..
LIBS += ${PTHREAD_LIBS} ${GTK_LIBS} ${ALSA_LIBS}

=== src/amidi-plug/Makefile ===
PLUGIN = amidi-plug${PLUGIN_SUFFIX}

SRCS = amidi-plug.c		\
       i_vfslayer.c		\
       i_midi.c			\
       i_backend.c		\
       i_configure.c		\
       i_configure-ap.c		\
       i_configure-alsa.c	\
       i_configure-fluidsynth.c	\
       i_utils.c		\
       i_fileinfo.c

SUBDIRS = pcfg ${AMIDIPLUG_BACKENDS}

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} ${GMODULE_CFLAGS} \
	-DAMIDIPLUGBACKENDDIR=\"${plugindir}/${AMIDIPLUG_BACKEND_DIR}\" ${PTHREAD_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${PANGO_LIBS} ${GMODULE_LIBS} ${PTHREAD_LIBS} ./pcfg/libpcfg.a ${GLIB_LIBS}

=== src/asx/Makefile ===
PLUGIN = asx${PLUGIN_SUFFIX}
SRCS = asx.c util.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${CONTAINER_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS}

=== src/audpl/Makefile ===
PLUGIN = audpl${PLUGIN_SUFFIX}

SRCS = audpl.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${CONTAINER_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}

=== src/blur_scope/Makefile ===
PLUGIN = blur_scope${PLUGIN_SUFFIX}

SRCS = blur_scope.c	\
       config.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${VISUALIZATION_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += -std=c99 ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} -I../..
LIBS += ${GTK_LIBS}

=== src/bs2b/Makefile ===
PLUGIN = bs2b${PLUGIN_SUFFIX}

SRCS = plugin.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${EFFECT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${BS2B_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${BS2B_LIBS}

=== src/cdaudio-ng/Makefile ===
PLUGIN = cdaudio-ng${PLUGIN_SUFFIX}

SRCS = cdaudio-ng.c	\
       configure.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS}  ${GTK_CFLAGS} ${GLIB_CFLAGS}  ${CDIO_CFLAGS} ${CDDB_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS}  ${CDIO_LIBS} ${CDDB_LIBS}

=== debian/changelog ===
audacious-plugins (3.2.1-4ubuntu1) precise-proposed; urgency=low

  * Remove unused build-dependency on libprojectm-dev, which is being
    removed from armel.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Apr 2012 18:39:20 +0100

audacious-plugins (3.2.1-4) unstable; urgency=low

  * Team upload.
  * Backport lirc plugin from upstream.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Mar 2012 22:24:20 +0200

audacious-plugins (3.2.1-3) unstable; urgency=low

  * Team upload.
  * Build with GTK3, drop GTK2's stuff.

 -- Alessio Treglia <alessio@debian.org>  Thu, 01 Mar 2012 00:18:45 +0100

audacious-plugins (3.2.1-2) unstable; urgency=low

  * Team upload.
  * Add gmodule.patch to fix build failure on Ubuntu.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Update machine-readable copyright Format to 1.0.
  * Do not disable PSF any more.
  * Run autoconf again to really apply the FFaudio patch
    (Closes: #640931, #641701, LP: #880192, #922985).

 -- Benjamin Drung <bdrung@debian.org>  Sat, 25 Feb 2012 17:57:39 +0100

audacious-plugins (3.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.
  * Remove correct_spelling_error.diff, applied upstream.
  * Refresh ffaudio.diff.
  * Reintroduce src/psf/*, it seems DFSG clean now.
  * Fix and update debian/copyright.
  * Update watch file.

 -- Alessio Treglia <alessio@debian.org>  Mon, 20 Feb 2012 00:28:16 +0100

audacious-plugins (3.2-2) unstable; urgency=low

  [ Cyril Lavier ]
  * debian/control:
    + Clean Build-deps. (Closes: #634505)
    + Removed the TTA support has it's not supported
      anymore. (Closes: #650847)
  * Performed review on old bugs. (Closes: #589756, #644554, #645347, #636847)
  * Added ffaudio.diff patch to make audacious work with current debian
    unstable version of ffaudio. (Closes: #641701)

  [ Alessio Treglia ]
  * Introduce Multiarch, split audacious-plugins in:
    - audacious-plugins, which is Multi-Arch: same and contains runtime
      objects.
    - audacious-plugins-data to provide architecture-independent data files;
      it is set to Multi-Arch: foreign
  * Pass -Sautoconf to 'dh' sequencer rather than call autoconf in
    override_dh_auto_configure.

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Sun, 19 Feb 2012 12:35:33 +0100

=== debian/control ===
Source: audacious-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Chris Taylor <ctaylor@debian.org>,
           Bilal Akhtar <bilalakhtar@ubuntu.com>,
           Cyril Lavier <cyril.lavier@davromaniak.eu>
Build-Depends: audacious-dev (>= 3.2),
               autoconf,
               debhelper (>= 9),
               libasound2-dev (>= 1.0) [linux-any],
               libavcodec-dev (>= 4:0.6.1),
               libavformat-dev (>= 4:0.6.1),
               libavutil-dev (>= 4:0.6.1),
               libbinio-dev (>= 1.4),
               libbs2b-dev,
               libcairo2-dev (>= 1.2.4),
               libcddb2-dev (>= 1.2.1),
               libcdio-cdda-dev (>= 0.70),
               libcue-dev,
               libcurl4-gnutls-dev,
               libesd0-dev (>= 0.2),
               libfaad-dev,
               libflac-dev (>= 1.1.3),
               libfluidsynth-dev (>= 1.0.6) [linux-any],
               libgtk-3-dev,
               libimlib2-dev (>= 1.1.0),
               libjack-dev,
               liblircclient-dev,
               libmad0-dev,
               libmcs-dev,
               libmms-dev (>= 0.3),
               libmodplug-dev,
               libmp3lame-dev,
               libmpg123-dev,
               libmtp-dev (>= 0.1.3),
               libneon27-gnutls-dev (>= 0.26),
               libnotify-dev,
               libogg-dev (>= 1.0),
               libpulse-dev (>= 0.9) [linux-any],
               libresid-builder-dev,
               libsamplerate0-dev (>=0.0.15),
               libsdl1.2-dev (>= 1.2.9),
               libshout3-dev,
               libsidplay2-dev | libsidplay1-dev,
               libsndfile1-dev (>= 0.19),
               libtagc0-dev (>= 1.4),
               libvorbis-dev (>= 1.1),
               libwavpack-dev (>= 4.31),
               libxcomposite-dev,
               oss4-dev
Homepage: http://www.audacious-media-player.org/
Standards-Version: 3.9.3
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audacious-plugins.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audacious-plugins.git

Package: audacious-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: audacious-plugins-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: audacious (>= 2.4.3)
Breaks: audacious (<< 2.4.3),
        audacious-plugins-extra (<< 1.3.5-4)
Replaces: audacious (<< 2.4.3),
          audacious-plugins-extra
Description: Base plugins for audacious
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the plugins for Audacious.
  * Audio CD reading
  * MPEG support (mp3)
  * Ogg Vorbis support
  * Windows Media support (WMA)
  * AAC support
  * FLAC support
  * ALAC support
  * WAVE support
  * ALSA output
  * OSS output
  * Disk writer output
  * And many more!

Package: audacious-plugins-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: audacious-plugins (= ${binary:Version}),
         ${misc:Depends}
Recommends: audacious-dbg
Description: Audacious-Plugins debug symbols
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the debugging symbols for the plugins collection of
 Audacious. Please install it before reporting any crashes, as it makes bug
 triage an easier process.

Package: audacious-plugins-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: audacious-plugins
Breaks: audacious-plugins (<= 3.2-2~)
Replaces: audacious-plugins (<= 3.2-2~)
Description: Data files for Audacious plugins
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 This package contains internationalized messages and skins for
 Audacious plugins.

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,8 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-		--disable-psf \
-		--disable-rpath \
-		$(additional_confflags)
+	autoconf
+	dh_auto_configure -- --disable-rpath $(additional_confflags)
 
 override_dh_strip:
 	dh_strip --dbg-package=audacious-plugins-dbg

## audacious-plugins 3.2.3

=== debian/changelog ===
audacious-plugins (3.2.3-1ubuntu1) quantal; urgency=low

  * Add debian/patches/slider_gtk35.patch:
    Fixes slider behaviour in GTK+ >= 3.5 (LP: #1018087).
    This can be dropped in 3.3 (applied upstream).

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Fri, 29 Jun 2012 13:47:05 +0200

audacious-plugins (3.2.3-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Jun 2012 13:33:01 +0200

audacious-plugins (3.2.2-1) unstable; urgency=low

  * Team upload.

  [ Alessio Treglia ]
  * New upstream release.
  * Refresh debian/patches/ffaudio.diff.
  * Remove debian/patches/gmodule.patch, applied upstream.

  [ Benjamin Drung ]
  * Remove unused build-dependency on libprojectm-dev, which is
    being removed from armel. Thanks to Colin Watson

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 May 2012 17:39:19 +0200

## audacious-plugins 3.2.4

=== src/ladspa/Makefile ===
PLUGIN = ladspa${PLUGIN_SUFFIX}

SRCS = effect.c \
       loaded-list.c \
       plugin.c \
       plugin-list.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${EFFECT_PLUGIN_DIR}

CPPFLAGS += -I../.. ${PTHREAD_CFLAGS} ${GTK_CFLAGS} ${GMODULE_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += -lm ${PTHREAD_LIBS} ${GTK_LIBS} ${GMODULE_LIBS}

=== src/vorbis/Makefile ===
PLUGIN = vorbis${PLUGIN_SUFFIX}

SRCS = vcupdate.c \
       vcedit.c		\
       vorbis.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${VORBIS_CFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS}  -I../..
LIBS += ${VORBIS_LIBS} ${GTK_LIBS} ${GLIB_LIBS}

=== debian/changelog ===
audacious-plugins (3.2.4-1) unstable; urgency=low

  * Team upload.
  * New upstream stable release:
    - aac[mp4ff]: Check for errors while parsing MP4 so as to avoid
      infinite looping.
    - cdaudio-ng: Fix wrong PACKAGE definition being used, and use
      about_text.
    - Improve 'Audacious OSD' default settings.
    - Support the new GDK_SCROLL_SMOOTH event in GTK+ 3.4.
    - modplug: Don't include sys/mman.h.
    - statusicon: Prevent accidentally hiding of the interface by
      disabling the plugin while Audacious is closed to the tray.
    - sndstretch: Set .preserves_format = FALSE in order to avoid time
      counter get mess'd up.
    - Various GTK UI fixes and improvements.

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Nov 2012 18:43:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Chris Taylor <ctaylor@debian.org>,
            Bilal Akhtar <bilalakhtar@ubuntu.com>,
            Cyril Lavier <cyril.lavier@davromaniak.eu>

## audacious-plugins 3.3.4

=== debian/changelog ===
audacious-plugins (3.3.4-1ubuntu1) raring; urgency=low

  * Adjust configure.ac to build ffaudio.so (LP: #1080059)

 -- Doug McMahon <mc631man@gmail.com>  Wed, 20 Mar 2013 19:16:14 +0100

audacious-plugins (3.3.4-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 05 Feb 2013 08:30:55 +0000

audacious-plugins (3.3.3-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Dec 2012 20:40:48 +0000

audacious-plugins (3.3.2-1) experimental; urgency=low

  * New upstream release.
  * Append myself to the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Mon, 10 Dec 2012 10:41:34 +0000

audacious-plugins (3.3.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release.
  * Bump build-dep on audacious-dev >= 3.3.
  * Remove debian/patches/ffaudio.diff, no longer needed.
  * Remove debian/patches/bp-lirc.patch, applied upstream.

 -- Alessio Treglia <alessio@debian.org>  Thu, 06 Sep 2012 19:32:38 +0200

=== debian/control ===
Source: audacious-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Chris Taylor <ctaylor@debian.org>,
 Bilal Akhtar <bilalakhtar@ubuntu.com>,
 Cyril Lavier <cyril.lavier@davromaniak.eu>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 audacious-dev (>= 3.3),
 autoconf,
 debhelper (>= 9),
 libasound2-dev (>= 1.0) [linux-any],
 libavcodec-dev (>= 4:0.6.1),
 libavformat-dev (>= 4:0.6.1),
 libavutil-dev (>= 4:0.6.1),
 libbinio-dev (>= 1.4),
 libbs2b-dev,
 libcairo2-dev (>= 1.2.4),
 libcddb2-dev (>= 1.2.1),
 libcdio-cdda-dev (>= 0.70),
 libcue-dev,
 libcurl4-gnutls-dev,
 libesd0-dev (>= 0.2),
 libfaad-dev,
 libflac-dev (>= 1.1.3),
 libfluidsynth-dev (>= 1.0.6) [linux-any],
 libgtk-3-dev,
 libimlib2-dev (>= 1.1.0),
 libjack-dev,
 liblircclient-dev,
 libmad0-dev,
 libmcs-dev,
 libmms-dev (>= 0.3),
 libmodplug-dev,
 libmp3lame-dev,
 libmpg123-dev,
 libmtp-dev (>= 0.1.3),
 libneon27-gnutls-dev (>= 0.26),
 libnotify-dev,
 libogg-dev (>= 1.0),
 libpulse-dev (>= 0.9) [linux-any],
 libresid-builder-dev,
 libsamplerate0-dev (>=0.0.15),
 libsdl1.2-dev (>= 1.2.9),
 libshout3-dev,
 libsidplay2-dev | libsidplay1-dev,
 libsndfile1-dev (>= 0.19),
 libtagc0-dev (>= 1.4),
 libvorbis-dev (>= 1.1),
 libwavpack-dev (>= 4.31),
 libxcomposite-dev,
 oss4-dev
Homepage: http://www.audacious-media-player.org/
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audacious-plugins.git
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audacious-plugins.git

Package: audacious-plugins
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 audacious-plugins-data (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 audacious (>= 2.4.3)
Breaks:
 audacious (<< 2.4.3),
 audacious-plugins-extra (<< 1.3.5-4)
Replaces:
 audacious (<< 2.4.3),
 audacious-plugins-extra
Description: Base plugins for audacious
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the plugins for Audacious.
  * Audio CD reading
  * MPEG support (mp3)
  * Ogg Vorbis support
  * Windows Media support (WMA)
  * AAC support
  * FLAC support
  * ALAC support
  * WAVE support
  * ALSA output
  * OSS output
  * Disk writer output
  * And many more!

Package: audacious-plugins-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends:
 audacious-plugins (= ${binary:Version}),
 ${misc:Depends}
Recommends:
 audacious-dbg
Description: Audacious-Plugins debug symbols
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the debugging symbols for the plugins collection of
 Audacious. Please install it before reporting any crashes, as it makes bug
 triage an easier process.

Package: audacious-plugins-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 audacious-plugins
Breaks:
 audacious-plugins (<= 3.2-2~)
Replaces:
 audacious-plugins (<= 3.2-2~)
Description: Data files for Audacious plugins
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 This package contains internationalized messages and skins for
 Audacious plugins.

## audacious-plugins 3.4

=== po/Makefile ===
--- 
+++ 
@@ -7,29 +7,36 @@
 #   have been introduced, and then continue with 'make update-po' or
 #   'make update-pot' respectively.
 #
-LOCALES = ca.po \
+LOCALES = be.po \
+	  ca.po \
 	  cs.po \
-	  cy.po \
 	  de.po \
+	  el.po \
 	  es.po \
 	  es_AR.po \
 	  es_MX.po \
 	  et.po \
 	  eu.po \
+	  fi.po \
 	  fr.po \
+	  gl.po \
 	  hu.po \
+	  id_ID.po \
 	  it.po \
 	  ja.po \
+	  ko.po \
+	  ky.po \
+	  lt.po \
 	  lv.po \
-	  lt.po \
 	  pl.po \
-	  ro.po \
+	  pt_BR.po \
+	  pt_PT.po \
 	  ru.po \
+	  si.po \
 	  sk.po \
-	  sr.po \
-	  tr.po \
+	  sr_RS.po \
+	  ta.po \
 	  uk.po \
-	  vi.po \
 	  zh_CN.po \
 	  zh_TW.po

=== debian/changelog ===
audacious-plugins (3.4-2) unstable; urgency=low

  * Add patch taken from Ubuntu to build ffaudio plugin. (LP: #1080059)
  * Enable autoreconf.

 -- Alessio Treglia <alessio@debian.org>  Fri, 16 Aug 2013 11:02:35 +0100

audacious-plugins (3.4-1) unstable; urgency=low

  * New upstream release.
  * Bump build-dep on audacious-dev.
  * Update debian/copyright.
  * Remove libmcs-dev from Build-Depends.

 -- Alessio Treglia <alessio@debian.org>  Sun, 07 Jul 2013 17:13:19 +0100

audacious-plugins (3.3.4-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 May 2013 09:42:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Chris Taylor <ctaylor@debian.org>,
  Bilal Akhtar <bilalakhtar@ubuntu.com>,
  Cyril Lavier <cyril.lavier@davromaniak.eu>,
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
- audacious-dev (>= 3.3),
+ audacious-dev (>= 3.4),
  autoconf,
  debhelper (>= 9),
+ dh-autoreconf,
  libasound2-dev (>= 1.0) [linux-any],
  libavcodec-dev (>= 4:0.6.1),
  libavformat-dev (>= 4:0.6.1),
@@ -32,7 +32,6 @@
  libjack-dev,
  liblircclient-dev,
  libmad0-dev,
- libmcs-dev,
  libmms-dev (>= 0.3),
  libmodplug-dev,
  libmp3lame-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
-	autoconf
 	dh_auto_configure -- --disable-rpath $(additional_confflags)
 
 override_dh_strip:

## audacious-plugins 3.4.3

=== po/Makefile ===
--- 
+++ 
@@ -8,10 +8,14 @@
 #   'make update-pot' respectively.
 #
 LOCALES = be.po \
+	  bg.po \
 	  ca.po \
+	  cmn.po \
 	  cs.po \
+	  da.po \
 	  de.po \
 	  el.po \
+	  en_GB.po \
 	  es.po \
 	  es_AR.po \
 	  es_MX.po \
@@ -28,6 +32,7 @@
 	  ky.po \
 	  lt.po \
 	  lv.po \
+	  ml_IN.po \
 	  pl.po \
 	  pt_BR.po \
 	  pt_PT.po \
@@ -36,6 +41,7 @@
 	  sk.po \
 	  sr_RS.po \
 	  ta.po \
+	  tr.po \
 	  uk.po \
 	  zh_CN.po \
 	  zh_TW.po

=== src/aac/Makefile ===
PLUGIN = aac${PLUGIN_SUFFIX}

SRCS = itunes-cover.c \
       libmp4.c \
       mp4_utils.c		\
       tagging_mp4.c		\
       mp4ff/mp4ff.c		\
       mp4ff/mp4atom.c		\
       mp4ff/mp4meta.c		\
       mp4ff/mp4sample.c	\
       mp4ff/mp4util.c		\
       mp4ff/mp4tagupdate.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${FAAD_CFLAGS} -I../.. -I. -Imp4ff -DUSE_TAGGING=1
LIBS += ${FAAD_LIBS} -lm

=== src/adplug/Makefile ===
--- 
+++ 
@@ -63,5 +63,5 @@
 LD = ${CXX}
 CFLAGS += ${PLUGIN_CFLAGS}
 CXXFLAGS += ${PLUGIN_CFLAGS}
-CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS}  ${BINIO_CFLAGS} -I../.. -I./core -Dstricmp=strcasecmp
-LIBS += ${BINIO_LIBS} ${GTK_LIBS} ${GLIB_LIBS}
+CPPFLAGS += ${PLUGIN_CPPFLAGS} ${BINIO_CFLAGS} -I../.. -I./core -Dstricmp=strcasecmp
+LIBS += ${BINIO_LIBS}

=== src/aosd/Makefile ===
PLUGIN = aosd${PLUGIN_SUFFIX}

SRCS = aosd.c		\
       aosd_osd.c	\
       aosd_style.c	\
       aosd_trigger.c	\
       aosd_ui.c	\
       aosd_cfg.c	\
       ghosd.c		\
       ghosd-main.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS}  ${GTK_CFLAGS} ${GLIB_CFLAGS} ${PANGO_CFLAGS} ${CAIRO_CFLAGS} ${PANGOCAIRO_CFLAGS} ${XRENDER_CFLAGS} ${XCOMPOSITE_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS} ${PANGO_LIBS} ${CAIRO_LIBS} ${PANGOCAIRO_LIBS} ${XRENDER_LIBS} ${XCOMPOSITE_LIBS}

=== src/asx/Makefile ===
PLUGIN = asx${PLUGIN_SUFFIX}
SRCS = asx.c util.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${CONTAINER_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GLIB_CFLAGS} -I../..
LIBS += ${GLIB_LIBS}

=== src/blur_scope/Makefile ===
PLUGIN = blur_scope${PLUGIN_SUFFIX}

SRCS = blur_scope.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${VISUALIZATION_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} -I../..
LIBS += ${GTK_LIBS} -lm

=== src/cairo-spectrum/Makefile ===
PLUGIN = cairo-spectrum${PLUGIN_SUFFIX}

SRCS = cairo-spectrum.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${VISUALIZATION_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${GTK_CFLAGS}
LIBS += -lm ${GTK_LIBS}

=== src/cd-menu-items/Makefile ===
PLUGIN = cd-menu-items${PLUGIN_SUFFIX}

SRCS = cd-menu-items.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CPPFLAGS += -I../.. ${GTK_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += ${GTK_LIBS}

=== src/cdaudio-ng/Makefile ===
--- 
+++ 
@@ -1,7 +1,6 @@
 PLUGIN = cdaudio-ng${PLUGIN_SUFFIX}
 
-SRCS = cdaudio-ng.c	\
-       configure.c
+SRCS = cdaudio-ng.c
 
 include ../../buildsys.mk
 include ../../extra.mk

=== src/compressor/Makefile ===
PLUGIN = compressor${PLUGIN_SUFFIX}

SRCS = compressor.c plugin.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${EFFECT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../..
LIBS += -lm

=== src/console/Makefile ===
PLUGIN = console${PLUGIN_SUFFIX}

SRCS = Ay_Apu.cxx              \
       Ay_Cpu.cxx              \
       Ay_Emu.cxx              \
       Blip_Buffer.cxx         \
       Classic_Emu.cxx         \
       Data_Reader.cxx         \
       Dual_Resampler.cxx      \
       Effects_Buffer.cxx      \
       Fir_Resampler.cxx       \
       Gbs_Emu.cxx             \
       Gb_Apu.cxx              \
       Gb_Cpu.cxx              \
       Gb_Oscs.cxx             \
       gme.cxx                 \
       Gme_File.cxx            \
       Gym_Emu.cxx             \
       Gzip_Reader.cxx         \
       Hes_Apu.cxx             \
       Hes_Cpu.cxx             \
       Hes_Emu.cxx             \
       Kss_Cpu.cxx             \
       Kss_Emu.cxx             \
       Kss_Scc_Apu.cxx         \
       M3u_Playlist.cxx        \
       Multi_Buffer.cxx        \
       Music_Emu.cxx           \
       Nes_Apu.cxx             \
       Nes_Cpu.cxx             \
       Nes_Fme7_Apu.cxx        \
       Nes_Namco_Apu.cxx       \
       Nes_Oscs.cxx            \
       Nes_Vrc6_Apu.cxx        \
       Nsfe_Emu.cxx            \
       Nsf_Emu.cxx             \
       Sap_Apu.cxx             \
       Sap_Cpu.cxx             \
       Sap_Emu.cxx             \
       Sms_Apu.cxx             \
       Snes_Spc.cxx            \
       Spc_Cpu.cxx             \
       Spc_Dsp.cxx             \
       Spc_Emu.cxx             \
       Spc_Filter.cxx          \
       Vfs_File.cxx            \
       Vgm_Emu.cxx             \
       Vgm_Emu_Impl.cxx        \
       Ym2413_Emu.cxx          \
       Ym2612_Emu.cxx          \
       Zlib_Inflater.cxx       \
       Audacious_Driver.cxx    \
       configure.c             \
       plugin.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}

CFLAGS += ${PLUGIN_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${GLIB_LIBS}  -lz

=== src/crystalizer/Makefile ===
PLUGIN = crystalizer${PLUGIN_SUFFIX}

SRCS = crystalizer.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${EFFECT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../..

=== debian/changelog ===
audacious-plugins (3.4.3-2) unstable; urgency=medium

  * Team upload.
  
  [ Jackson Doak ]
  * New upstream release.
  * Change libsid package to re-enable SID support. Closes: #716776

  [ Reinhard Tartler ]
  * Add patch from Anton Khirnov to fix FTBFS against libav10, Closes: #739212

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Mar 2014 16:54:56 -0400

audacious-plugins (3.4.1-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump build-dep on audacious-dev.
  * Build-dep on automake.
  * Avoid FTBFS on distclean failure.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Sep 2013 10:08:48 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders:
  Chris Taylor <ctaylor@debian.org>,
  Bilal Akhtar <bilalakhtar@ubuntu.com>,
- Cyril Lavier <cyril.lavier@davromaniak.eu>,
- Alessio Treglia <alessio@debian.org>
+ Cyril Lavier <cyril.lavier@davromaniak.eu>
 Build-Depends:
- audacious-dev (>= 3.4),
+ audacious-dev (>= 3.4.1),
  autoconf,
+ automake,
  debhelper (>= 9),
  dh-autoreconf,
  libasound2-dev (>= 1.0) [linux-any],
@@ -45,7 +45,7 @@
  libsamplerate0-dev (>=0.0.15),
  libsdl1.2-dev (>= 1.2.9),
  libshout3-dev,
- libsidplay2-dev | libsidplay1-dev,
+ libsidplayfp-dev,
  libsndfile1-dev (>= 0.19),
  libtagc0-dev (>= 1.4),
  libvorbis-dev (>= 1.1),

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,10 @@
 	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-rpath $(additional_confflags)
+	dh_auto_configure -- --disable-rpath $(additional_confflags) --disable-silent-rules
 
 override_dh_strip:
 	dh_strip --dbg-package=audacious-plugins-dbg
+
+override_dh_auto_clean:
+	dh_auto_clean || true

## audacious-plugins 3.5

=== po/Makefile ===
--- 
+++ 
@@ -16,11 +16,12 @@
 	  de.po \
 	  el.po \
 	  en_GB.po \
-	  es.po \
 	  es_AR.po \
 	  es_MX.po \
+	  es.po \
 	  et.po \
 	  eu.po \
+	  fa_IR.po \
 	  fi.po \
 	  fr.po \
 	  gl.po \
@@ -39,6 +40,7 @@
 	  ru.po \
 	  si.po \
 	  sk.po \
+	  sr.po \
 	  sr_RS.po \
 	  ta.po \
 	  tr.po \
@@ -49,11 +51,11 @@
 include ../extra.mk
 include ../buildsys.mk
 
-POTTEMPLATE=$(PACKAGE).pot
+POTTEMPLATE=$(PACKAGE_NAME).pot
 
 update-pot:
 	@echo Updating $(POTTEMPLATE) ...
-	xgettext --default-domain=$(PACKAGE) --language=C \
+	xgettext --default-domain=$(PACKAGE_NAME) --language=C \
 	--keyword=_ --keyword=N_ --from-code="utf-8" \
 	--msgid-bugs-address="http://redmine.audacious-media-player.org/" \
 	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)

=== src/adplug/Makefile ===
--- 
+++ 
@@ -63,5 +63,5 @@
 LD = ${CXX}
 CFLAGS += ${PLUGIN_CFLAGS}
 CXXFLAGS += ${PLUGIN_CFLAGS}
-CPPFLAGS += ${PLUGIN_CPPFLAGS} ${BINIO_CFLAGS} -I../.. -I./core -Dstricmp=strcasecmp
-LIBS += ${BINIO_LIBS}
+CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GLIB_CFLAGS} ${BINIO_CFLAGS} -I../.. -I./core
+LIBS += ${GLIB_LIBS} ${BINIO_LIBS}

=== src/alsa/Makefile ===
PLUGIN = alsa${PLUGIN_SUFFIX}

SRCS = alsa.c \
       config.c \
       plugin.c \

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${OUTPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${GTK_CFLAGS} ${ALSA_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${ALSA_LIBS}

=== src/amidi-plug/Makefile ===
PLUGIN = amidi-plug${PLUGIN_SUFFIX}

SRCS = amidi-plug.c		\
       backend-fluidsynth/b-fluidsynth.c \
       i_midi.c			\
       i_configure.c		\
       i_configure-fluidsynth.c	\
       i_utils.c		\
       i_fileinfo.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${FLUIDSYNTH_CFLAGS} -I../..
LIBS += ${GTK_LIBS} ${FLUIDSYNTH_LIBS} -lm

=== src/asx3/Makefile ===
PLUGIN = asx3${PLUGIN_SUFFIX}

SRCS = asx3.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${CONTAINER_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GLIB_CFLAGS} ${XML_CFLAGS} -I../..
LIBS += ${GLIB_LIBS} ${XML_LIBS}

=== src/console/Makefile ===
--- 
+++ 
@@ -62,5 +62,5 @@
 
 CFLAGS += ${PLUGIN_CFLAGS}
 CXXFLAGS += ${PLUGIN_CFLAGS}
-CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GTK_CFLAGS} ${GLIB_CFLAGS} -I../..
-LIBS += ${GTK_LIBS} ${GLIB_LIBS}  -lz
+CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GLIB_CFLAGS} -I../..
+LIBS += -lz

=== src/delete-files/Makefile ===
PLUGIN = delete-files${PLUGIN_SUFFIX}

SRCS = delete-files.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CPPFLAGS += -I../.. ${GIO_CFLAGS} ${GTK_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += ${GIO_LIBS} ${GTK_LIBS}

=== src/gl-spectrum/Makefile ===
PLUGIN = gl-spectrum${PLUGIN_SUFFIX}

SRCS = gl-spectrum.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${VISUALIZATION_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${GTK_CFLAGS}
LIBS += -lm ${GTK_LIBS} ${GL_LIBS}

=== src/gtkui/Makefile ===
PLUGIN = gtkui${PLUGIN_SUFFIX}

SRCS = columns.c \
       layout.c \
       menus.c \
       ui_infoarea.c \
       ui_gtk.c \
       ui_playlist_widget.c \
       ui_playlist_notebook.c \
       ui_statusbar.c \
       playlist_util.c \
       settings.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} -I../.. ${GTK_CFLAGS}
LIBS += -lm ${GTK_LIBS}

=== src/m3u/Makefile ===
PLUGIN = m3u${PLUGIN_SUFFIX}

SRCS = m3u.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${CONTAINER_PLUGIN_DIR}

CFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GLIB_CFLAGS} -I../..
LIBS += ${GLIB_LIBS}

=== src/modplug/Makefile ===
PLUGIN = modplug${PLUGIN_SUFFIX}

SRCS = archive/arch_raw.cxx \
       archive/archive.cxx \
       archive/open.cxx \
       plugin.cxx \
       modplugbmp.cxx \
       plugin_main.c

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${INPUT_PLUGIN_DIR}

LD = ${CXX}
CFLAGS += ${PLUGIN_CFLAGS}
CXXFLAGS += ${PLUGIN_CFLAGS}
CPPFLAGS += ${PLUGIN_CPPFLAGS} ${GLIB_CFLAGS} ${MODPLUG_CFLAGS} -I../..
LIBS += ${GLIB_LIBS} ${MODPLUG_LIBS}

=== src/mpris2/Makefile ===
PLUGIN = mpris2${PLUGIN_SUFFIX}

SRCS = object-core.c object-player.c plugin.c
CLEAN = object-core.c object-core.h object-player.c object-player.h

include ../../buildsys.mk
include ../../extra.mk

plugindir := ${plugindir}/${GENERAL_PLUGIN_DIR}

CPPFLAGS += -I../.. ${GLIB_CFLAGS} ${GIO_CFLAGS}
CFLAGS += ${PLUGIN_CFLAGS}
LIBS += -lm ${GLIB_LIBS} ${GIO_LIBS}

pre-depend: object-core.c object-core.h object-player.c object-player.h

object-core.h: mpris2.xml
	gdbus-codegen --interface-prefix org.mpris. --c-namespace Mpris --generate-c-code object-core mpris2.xml

object-core.c: object-core.h
	# nothing to do here

object-player.h: mpris2-player.xml
	gdbus-codegen --interface-prefix org.mpris. --c-namespace Mpris --generate-c-code object-player mpris2-player.xml

object-player.c: object-player.h
	# nothing to do here

=== debian/changelog ===
audacious-plugins (3.5-1build5) wily; urgency=medium

  * No-change rebuild for new libsidplayfp

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 16 Aug 2015 16:01:27 +0100

audacious-plugins (3.5-1build4) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 06:33:30 +0000

audacious-plugins (3.5-1build3) vivid; urgency=medium

  * No-change rebuild for libsidplayfp3. (LP: #1395381)

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 23 Nov 2014 08:43:10 +1100

audacious-plugins (3.5-1build2) utopic; urgency=medium

  * Really rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 18:53:04 +0100

audacious-plugins (3.5-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 18:22:19 +0100

audacious-plugins (3.5-1) unstable; urgency=low

  [ Alin Andrei ]
  * New upstream release
  * Bump Standards-Version to 3.9.5

  [ Andrew Shadura ]
  * Drop no longer needed patches.
  * Clean up the build in debian/clean.

 -- Alin Andrei <webupd8@gmail.com>  Tue, 01 Jul 2014 09:25:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: audacious-plugins
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Chris Taylor <ctaylor@debian.org>,
  Bilal Akhtar <bilalakhtar@ubuntu.com>,
  Cyril Lavier <cyril.lavier@davromaniak.eu>
 Build-Depends:
- audacious-dev (>= 3.4.1),
+ audacious-dev (>= 3.5),
  autoconf,
  automake,
  debhelper (>= 9),
@@ -53,7 +54,7 @@
  libxcomposite-dev,
  oss4-dev
 Homepage: http://www.audacious-media-player.org/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/audacious-plugins.git
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/audacious-plugins.git
 
@@ -67,12 +68,12 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
- audacious (>= 2.4.3)
+ audacious (>= 3.5)
 Breaks:
- audacious (<< 2.4.3),
+ audacious (<< 3.5),
  audacious-plugins-extra (<< 1.3.5-4)
 Replaces:
- audacious (<< 2.4.3),
+ audacious (<< 3.5),
  audacious-plugins-extra
 Description: Base plugins for audacious
  Audacious is a fork of beep-media-player which supports winamp skins
